com.impinj.stp

## Class StpApi.Serialization.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.Serialization.Builder>
      - - com.impinj.stp.StpApi.Serialization.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.SerializationOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.Serialization

      public static final class StpApi.Serialization.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.Serialization.Builder>
      implements StpApi.SerializationOrBuilder

  Protobuf type `Impinj.STP.Serialization` How serial numbers are determined.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.Serialization` | `build()`
    `StpApi.Serialization` | `buildPartial()`
    `StpApi.Serialization.Builder` | `clear()`
    `StpApi.Serialization.Builder` | `clearMonzaSelfSerialization()` Monza Self-Serialization between 34-bits and 96-bits in length.
    `StpApi.Serialization.Builder` | `clearSerializationBits()` Length of serial number to generate e.g.
    `StpApi.Serialization.Builder` | `clearSerialNumberRange()` Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).
    `StpApi.Serialization.Builder` | `clone()`
    `StpApi.Serialization` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.MonzaSelfSerialization` | `getMonzaSelfSerialization()` Monza Self-Serialization between 34-bits and 96-bits in length.
    `StpApi.MonzaSelfSerialization.Builder` | `getMonzaSelfSerializationBuilder()` Monza Self-Serialization between 34-bits and 96-bits in length.
    `StpApi.MonzaSelfSerializationOrBuilder` | `getMonzaSelfSerializationOrBuilder()` Monza Self-Serialization between 34-bits and 96-bits in length.
    `int` | `getSerializationBits()` Length of serial number to generate e.g.
    `StpApi.SerialNumberRange` | `getSerialNumberRange()` Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).
    `StpApi.SerialNumberRange.Builder` | `getSerialNumberRangeBuilder()` Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).
    `StpApi.SerialNumberRangeOrBuilder` | `getSerialNumberRangeOrBuilder()` Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).
    `boolean` | `hasMonzaSelfSerialization()` Monza Self-Serialization between 34-bits and 96-bits in length.
    `boolean` | `hasSerializationBits()` Length of serial number to generate e.g.
    `boolean` | `hasSerialNumberRange()` Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.Serialization.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.Serialization.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.Serialization.Builder` | `mergeFrom(StpApi.Serialization other)`
    `StpApi.Serialization.Builder` | `mergeMonzaSelfSerialization(StpApi.MonzaSelfSerialization value)` Monza Self-Serialization between 34-bits and 96-bits in length.
    `StpApi.Serialization.Builder` | `mergeSerialNumberRange(StpApi.SerialNumberRange value)` Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).
    `StpApi.Serialization.Builder` | `setMonzaSelfSerialization(StpApi.MonzaSelfSerialization.Builder builderForValue)` Monza Self-Serialization between 34-bits and 96-bits in length.
    `StpApi.Serialization.Builder` | `setMonzaSelfSerialization(StpApi.MonzaSelfSerialization value)` Monza Self-Serialization between 34-bits and 96-bits in length.
    `StpApi.Serialization.Builder` | `setSerializationBits(int value)` Length of serial number to generate e.g.
    `StpApi.Serialization.Builder` | `setSerialNumberRange(StpApi.SerialNumberRange.Builder builderForValue)` Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).
    `StpApi.Serialization.Builder` | `setSerialNumberRange(StpApi.SerialNumberRange value)` Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Serialization.Builder>`

    - #### clear

          public StpApi.Serialization.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Serialization.Builder>`

    - #### clone

          public StpApi.Serialization.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Serialization.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Serialization.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.Serialization getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.Serialization build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.Serialization buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.Serialization.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.Serialization.Builder>`

    - #### mergeFrom

          public StpApi.Serialization.Builder mergeFrom(StpApi.Serialization other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Serialization.Builder>`

    - #### mergeFrom

          public StpApi.Serialization.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.Serialization.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasSerializationBits

          public boolean hasSerializationBits()

      Length of serial number to generate e.g. 38-bits 2-5 DEPRECATED
      Specified by:
        `hasSerializationBits` in interface `StpApi.SerializationOrBuilder`

    - #### getSerializationBits

          public int getSerializationBits()

      Length of serial number to generate e.g. 38-bits 2-5 DEPRECATED
      Specified by:
        `getSerializationBits` in interface `StpApi.SerializationOrBuilder`

    - #### setSerializationBits

          public StpApi.Serialization.Builder setSerializationBits(int value)

      Length of serial number to generate e.g. 38-bits 2-5 DEPRECATED

    - #### clearSerializationBits

          public StpApi.Serialization.Builder clearSerializationBits()

      Length of serial number to generate e.g. 38-bits 2-5 DEPRECATED

    - #### hasMonzaSelfSerialization

          public boolean hasMonzaSelfSerialization()

      Monza Self-Serialization between 34-bits and 96-bits in length.
      Specified by:
        `hasMonzaSelfSerialization` in interface `StpApi.SerializationOrBuilder`

    - #### getMonzaSelfSerialization

          public StpApi.MonzaSelfSerialization getMonzaSelfSerialization()

      Monza Self-Serialization between 34-bits and 96-bits in length.
      Specified by:
        `getMonzaSelfSerialization` in interface `StpApi.SerializationOrBuilder`

    - #### setMonzaSelfSerialization

          public StpApi.Serialization.Builder setMonzaSelfSerialization(StpApi.MonzaSelfSerialization value)

      Monza Self-Serialization between 34-bits and 96-bits in length.

    - #### setMonzaSelfSerialization

          public StpApi.Serialization.Builder setMonzaSelfSerialization(StpApi.MonzaSelfSerialization.Builder builderForValue)

      Monza Self-Serialization between 34-bits and 96-bits in length.

    - #### mergeMonzaSelfSerialization

          public StpApi.Serialization.Builder mergeMonzaSelfSerialization(StpApi.MonzaSelfSerialization value)

      Monza Self-Serialization between 34-bits and 96-bits in length.

    - #### clearMonzaSelfSerialization

          public StpApi.Serialization.Builder clearMonzaSelfSerialization()

      Monza Self-Serialization between 34-bits and 96-bits in length.

    - #### getMonzaSelfSerializationBuilder

          public StpApi.MonzaSelfSerialization.Builder getMonzaSelfSerializationBuilder()

      Monza Self-Serialization between 34-bits and 96-bits in length.

    - #### getMonzaSelfSerializationOrBuilder

          public StpApi.MonzaSelfSerializationOrBuilder getMonzaSelfSerializationOrBuilder()

      Monza Self-Serialization between 34-bits and 96-bits in length.
      Specified by:
        `getMonzaSelfSerializationOrBuilder` in interface `StpApi.SerializationOrBuilder`

    - #### hasSerialNumberRange

          public boolean hasSerialNumberRange()

      Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).
      Specified by:
        `hasSerialNumberRange` in interface `StpApi.SerializationOrBuilder`

    - #### getSerialNumberRange

          public StpApi.SerialNumberRange getSerialNumberRange()

      Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).
      Specified by:
        `getSerialNumberRange` in interface `StpApi.SerializationOrBuilder`

    - #### setSerialNumberRange

          public StpApi.Serialization.Builder setSerialNumberRange(StpApi.SerialNumberRange value)

      Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).

    - #### setSerialNumberRange

          public StpApi.Serialization.Builder setSerialNumberRange(StpApi.SerialNumberRange.Builder builderForValue)

      Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).

    - #### mergeSerialNumberRange

          public StpApi.Serialization.Builder mergeSerialNumberRange(StpApi.SerialNumberRange value)

      Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).

    - #### clearSerialNumberRange

          public StpApi.Serialization.Builder clearSerialNumberRange()

      Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).

    - #### getSerialNumberRangeBuilder

          public StpApi.SerialNumberRange.Builder getSerialNumberRangeBuilder()

      Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).

    - #### getSerialNumberRangeOrBuilder

          public StpApi.SerialNumberRangeOrBuilder getSerialNumberRangeOrBuilder()

      Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).
      Specified by:
        `getSerialNumberRangeOrBuilder` in interface `StpApi.SerializationOrBuilder`